阅读

composer 版本号约束

php  2020-10-11 22:04

1、Hyphenated Version Range ( - )

1.0 - 2.0 表示 >=1.0.0 <2.1 ,因 2.0 变为 2.0.*

1.0.0 - 2.1.0 表示 >=1.0.0 <=2.1.0

2、Wildcard Version Range (.*)

1.0.* 表示 >=1.0 <1.1

3、Tilde Version Range (~)

~1.2 表示 >=1.2 <2.0.0 

~1.2.3 表示 >=1.2.3 <1.3.0

4、Caret Version Range (^)

 ^1.2.3 表示 >=1.2.3 <2.0.0


 by:https://getcomposer.org/doc/articles/versions.md

友情链接: